Main Page Widgets Namespaces Book

# Glib::Thread::Exit Class Reference
[Threads]

Exception class used to exit from a thread. More...

## Detailed Description

Exception class used to exit from a thread.

     throw Glib::Thread::Exit();

Write this if you want to exit from a thread created by Thread::create(). Of course you must make sure not to catch Thread::Exit by accident, i.e. when using `catch(...)` somewhere in your code.

The documentation for this class was generated from the following file:

- thread.h